.hiro-contact-us{
    max-width: 1920px;
    margin: 0 auto;
    width: 100%;
    background: var(--n-white);
    position: relative;
}

.hiro-contact-us .text-container{
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: start;
    max-width: 800px;
    width: 100%;
    padding: 100px 100px 80px;
    box-sizing: content-box;
    position: relative;
    z-index: 2;
}

.hiro-contact-us .text-container .h1{
    color: var(--n-black);
}

.hiro-contact-us .text-container .main-text-medium{
    color: var(--n-grey);
}

.hiro-contact-us .image-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    z-index: 1;
}

.hiro-contact-us .image-overlay img{
    width: 100%;
    height: auto;
    object-position: right;
    object-fit: cover;
    aspect-ratio: 1920 / 409;
}

.hiro-contact-us .contacts-container{
    display: flex;
    flex-direction: row;
    gap:100px;
    padding: 0 100px 140px;
    align-items: start;
    position: relative;
    z-index: 2;
}

.hiro-contact-us .info-block{
    flex: 1;
}

.hiro-contact-us .map-block{
    flex: 1;
    height: auto;
    border-radius: 20px;
    overflow: hidden;
    align-self: stretch;
}

.hiro-contact-us .map-block iframe{
    width: 100%;
    height: 100%;
}

.hiro-contact-us .info-block{
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: start;
    gap: 60px;
}

.hiro-contact-us .icons-links{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 12px;
}

.hiro-contact-us .icons-links a{
    background: var(--n-light-blue-BG);
    border-radius: 12px;
    width: 44px;
    height: 44px;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hiro-contact-us .icons-links a svg{
    width: 24px;
    height: 24px;
}

.hiro-contact-us .icons-links a path{
    transition: 0.3s;
}

.hiro-contact-us .addresses-block{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 16px;
}

.hiro-contact-us .address-item{
    display: flex;
    flex-direction: row;
    align-items: start;
    gap: 20px;
}

.hiro-contact-us .address-info{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 6px;
}

.hiro-contact-us .address-info .h5{
    color: var(--n-black);
}

.hiro-contact-us .address-info .main-text-medium{
    color: var(--n-grey);
}

.hiro-contact-us .address-icon{
    padding: 8px 0;
}

.hiro-contact-us .address-icon svg{
    width: 24px;
    height: 18px;
}

.hiro-contact-us .contacts-block{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 24px;
    width: 100%;
}

.hiro-contact-us .contacts-block .main-text-medium{
    color: var(--n-grey);
}

.hiro-contact-us .contacts-block .social-links{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 16px;
    width: 100%;
}

.hiro-contact-us .contacts-block .social-links a,
.hiro-contact-us .contacts-block .social-links a:visited{
    color: var(--bright-blue);
    transition: 0.3s;
    text-decoration: underline;
}

.hiro-contact-us .contacts-block .social-links button{
    display: none;
}

.hiro-contact-us .contacts-block .contact-mobile-item{
    display: flex;
    flex:1;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
    background: var(--n-light-blue-BG);
    border-radius: 200px;
    padding: 16px 20px;
    border: none;
}

.hiro-contact-us .contacts-block .contact-mobile-item .subtitle-semibold{
    color: var(--n-very-dark-accent);
}

@media(hover:hover){
    .hiro-contact-us .icons-links a:hover path{
        fill: var(--bright-blue);
    }

    .hiro-contact-us .contacts-block .social-links a:hover{
        color: var(--n-very-dark-accent);
    }
}

@media (max-width: 1919px) {
    .hiro-contact-us .text-container{
        max-width: 720px;
        padding: 80px 80px 60px;
    }

    .hiro-contact-us .contacts-container{
        gap: 60px;
        padding: 0 80px 100px;
    }

    .hiro-contact-us .info-block{
        gap: 40px;
    }
}

@media (max-width: 1439px) {
    .hiro-contact-us .text-container{
        max-width: 572px;
        padding: 60px 60px 48px;
    }

    .hiro-contact-us .contacts-container{
        padding: 0 60px 100px;
    }

    .hiro-contact-us .info-block{
        width: 572px;
        min-width: 572px;
        flex: unset;
    }

    .hiro-contact-us .map-block{
        border-radius: 16px;
    }

    .hiro-contact-us .info-block{
        gap: 32px;
    }

    .hiro-contact-us .icons-links{
        gap: 9.6px;
    }

    .hiro-contact-us .icons-links a{
        border-radius: 8px;
        width: 32px;
        height: 32px;
    }

    .hiro-contact-us .icons-links a svg{
        width: 20px;
        height: 20px;
    }

    .hiro-contact-us .address-item{
        gap: 16px;
    }

    .hiro-contact-us .address-info{
        gap: 4px;
    }

    .hiro-contact-us .address-icon{
        padding: 6px 0;
    }

    .hiro-contact-us .address-icon svg{
        width: 20px;
        height: 15px;
    }

    .hiro-contact-us .contacts-block{
        gap: 20px;
    }

    .hiro-contact-us .contacts-block .social-links{
        gap: 12px;
    }
}

@media (max-width: 1279px) {
    .hiro-contact-us .text-container{
        padding: 60px 40px 40px;
    }

    .hiro-contact-us .contacts-container{
        padding: 0 40px 80px;
    }

    .hiro-contact-us .info-block{
        width: auto;
        min-width: unset;
        flex: 1;
    }
    
}

@media (max-width: 1079px) {
    .hiro-contact-us .text-container{
        max-width: unset;
        box-sizing: border-box;
    }

    .hiro-contact-us .contacts-container{
        flex-direction: column;
        gap: 40px;
    }

    .hiro-contact-us .info-block{
        width: 100%;
    }

    .hiro-contact-us .map-block{
        width: 100%;
    }

    .hiro-contact-us .map-block{
        aspect-ratio: 688 / 300;
        align-self: start;
    }

    .hiro-contact-us .info-block{
        gap: 40px;
    }

    .hiro-contact-us .icons-links{
        gap: 12px;
        width: 100%;
        padding-bottom: 40px;
        border-bottom: 1px solid #E6F0FF;
    }

    .hiro-contact-us .icons-links a{
        border-radius: 12px;
        width: 48px;
        height: 48px;
    }

    .hiro-contact-us .icons-links a svg{
        width: 24px;
        height: 24px;
    }

    .hiro-contact-us .addresses-block{
        gap: 24px;
        order: 2;
    }

    .hiro-contact-us .address-item{
        gap: 20px;
    }

    .hiro-contact-us .address-info{
        gap: 6px;
    }

    .hiro-contact-us .contacts-block{
        gap: 16px;
    }

    .hiro-contact-us .contacts-block .social-links{
        flex-direction: row;
        align-items: center;
    }

    .hiro-contact-us .contacts-block .social-links a{
        display: none;
    }

    .hiro-contact-us .contacts-block .social-links button{
        display: flex;
    }
}

@media (max-width: 577px) {
    .hiro-contact-us .text-container{
        padding: 60px 16px 32px;
        background: linear-gradient(180deg, #C3DEFF 0%, rgba(255, 255, 255, 0.00) 100%);
    }

    .hiro-contact-us .image-overlay img{
        display: none;
    }

    .hiro-contact-us .contacts-container{
        padding: 0 16px 60px;
    }

    .hiro-contact-us .map-block{
        aspect-ratio: 343 / 160;
    }

    .hiro-contact-us .contacts-block{
        gap: 20px;
    }

    .hiro-contact-us .contacts-block .social-links{
        flex-direction: column;
        align-items: stretch;
    }
}    

.contact-form-section .mobile-contact-us-wrapper,
.contact-form-section .contact-form-gradient{
    display: none !important;
}